:root {
  --light-white-text: rgba(255 255 255 / 0.5);
}

/* Scroll bar stylings */
body::-webkit-scrollbar,
.el-overlay-dialog::-webkit-scrollbar {
  width: 7px;
  height: 10px;
}

/* Track */
body::-webkit-scrollbar-track,
.el-overlay-dialog::-webkit-scrollbar-track {
  box-shadow: inset 0 0 5px rgb(197 196 196);
  border-radius: 10px;
}

/* Handle */
body::-webkit-scrollbar-thumb,
.el-overlay-dialog::-webkit-scrollbar-thumb {
  background: rgb(197, 196, 196);
  border-radius: 10px;
}

/* Handle on hover */
body::-webkit-scrollbar-thumb:hover,
.el-overlay-dialog::-webkit-scrollbar-thumb:hover {
  background: rgb(197, 196, 196);
}

body div[layout="light_flexible_desktop_1"] .el-form-item__content {
  height: 100%;
}

.text-banner>h2 {
  color: inherit;
  font-size: inherit;
  font-weight: inherit;
}

/* login */
#check-in-form .el-input__inner,
#check-in-form .el-input__inner:focus,
#check-in-form .el-input__inner:hover {
  box-shadow: none;
}

#check-in-form .el-input__inner {
  border-color: transparent;
}

#check-in-form .el-form-item {
  margin-bottom: 0;
}

#check-in-form .el-form-item__error {
  margin-left: 8px;
}

#check-in-form .el-input__prefix-inner {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  background-color: rgba(255, 255, 255, 0.5);
  color: var(--selected);
  position: relative;
}

#check-in-form .required .el-input__prefix-inner::before {
  content: "*";
  position: absolute;
  color: red;
  top: -1px;
  left: -7px;
}

.login__content {
  text-align: center;
  z-index: 1;
  font-size: 14px;
}

@media screen and (min-width: 1536px) {
  .login__content {
    top: calc(50vh - 200px);
  }
}

#auth__main {
  overflow-y: hidden;
}

.border-across-title {
  display: contents;
}

.border-across-title::before,
.border-across-title::after {
  content: "";
  position: relative;
  display: table-cell;
  width: 110px;
  border-top: 1px solid rgba(108 123 168 / 0.329);
}

.input__container {
  display: flex;
  line-height: 44px;
  // min-height: 40px;
  width: 100%;
  align-items: center;
  color: var(--active-text-color2);
}

.input__container .el-input {
  border-radius: 99999px;
  background-color: var(--light-white-text);
}

.input__container:not(.is-error) .el-input {
  box-shadow: inset 0 1px 15px 0 var(--active-text-color2);
}

.el-button.input__container {
  color: var(--active-text-color2);
  background: linear-gradient(90deg, #62b3ff, var(--selected));
  box-shadow: 0 4px 8px 4px rgba(208, 162, 124, 0.2);
  border-radius: 20px;
  border: unset;
}

.el-button:disabled.input__container {
  opacity: 0.4;
}

.default__container {
  display: flex;
  color: var(--active-text-color2);
  width: 100%;
}

.default__container div {
  color: inherit;
}

.input__container .el-input__prefix {
  width: 25px;
  height: 25px;
  display: flex;
  left: 10px;
  top: 50%;
  color: 49, 129, 255;
  transform: translate(0, -50%);
}

.background__icon {
  background: var(--light-white-text);
  border-radius: 50%;
}

.input__container input::placeholder {
  color: var(--active-text-color2);
}

.header__input input::placeholder {
  color: var(--active-text-color2);
}

.input__container select {
  border: none;
  outline: none;
  background-color: unset;
  width: 229px;
  height: 100%;
}

/* .input__container span {
  margin-left: 8px;
} */
.input__container input {
  width: 100%;
  height: 100%;
  line-height: 100%;
  border: none;
  outline: none;
  padding: 10px 25px 10px 0;
  border: 1px solid unset;
  background-color: unset;
  margin-left: 10px;
  color: var(--text);
  opacity: 0.9;
}

.input__container .el-radio__original {
  margin-left: 0;
}

.input__container input:focus,
.input__container select:focus {
  background-color: transparent;
  outline: transparent;
  border-color: transparent;
  --tw-ring-shadow: transparent;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
  transition: background-color 50000s ease-in-out 0s, color 5000s ease-in-out 0s;
}

.text-click-to-verify {
  margin-left: 8px;
}

/* register */
.form-gender-option {
  display: flex;
}

.form-gender-option .form-gender {
  margin-left: 8px;
}

#register__main .input__container .icon {
  margin-left: 20px;
}

#Bank {
  padding: 0px 8px;
}

.error-msg span,
.error-msg i {
  color: var(--failure);
}

div[layout="light_flexible_desktop_1"] .text-white span,
div[layout="light_flexible_desktop_1"] .text-white i {
  color: var(--active-text-color2);
}

.btn-disabled-with-register-capcha {
  opacity: 0.5;
  pointer-events: none;
}

.prevent-double-click {
  pointer-events: none;
  opacity: 0.4;
}

/* form home */

.resize-menu {
  font-size: 12px;
}

@media only screen and (min-width: 1250px) {
  .resize-menu {
    font-size: 14px;
  }
}

@media only screen and (min-width: 1310px) {
  .resize-menu {
    font-size: 18px;
  }
}

.login-form>.el-form {
  display: flex;
  gap: 0.25rem;
  align-items: center;
}

.login-form>.el-form>.el-form-item {
  margin: 0;
}

.login-form .is-error .el-input {
  border-radius: 9999px;
}

.login-form .el-form-item__error {
  position: absolute;
}

.login-form>.el-form .el-input__inner {
  width: 104px;
  height: 28px;
  border-radius: 9999px;
  padding: 2px 0.75rem;
  box-shadow: none;
  font-size: 12px;
  color: var(--active-text-color2);
  background-color: rgba(108 123 168 / 0.5);
}

.login-form>.el-form .el-input__inner:where(:hover, :focus) {
  background-color: rgba(108 123 168 / 0.8);
}

.el-input__inner::placeholder {
  color: var(--active-text-color2);
}

body div[layout="light_flexible_desktop_1"] {
  .captcha {
    margin-bottom: 10px;
  }

  #btn-submit-captcha {
    padding: 5px;
  }

  .el-dialog.captcha-dialog {
    height: 200px;
  }
}

.captcha-dialog {
  border-top: 5px solid var(--selected);
  height: 200px !important;

  & .el-form-item {
    margin-bottom: 10px;
  }

  .el-dialog__header {
    padding: unset;
  }

  .el-dialog__body {
    padding: unset;

    #btn-submit-captcha {
      height: 32px;
    }
  }
}

.captcha-dialog:focus-visible {
  outline: unset;
}

.captcha-dialog .el-input__inner:where(:focus, :hover) {
  box-shadow: 0 0 0 1px var(--selected) inset;
}

.captcha-dialog .el-input__inner::placeholder {
  color: inherit;
}

.vue_client_recaptcha_icon {
  border-top-left-radius: 5px;
  border-bottom-left-radius: 5px;
}

#captcha_canvas {
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
}

#btn-submit-captcha {
  text-transform: uppercase;
  outline: none;
  width: 100%;
  text-align: center;
  background: var(--primary-button);
  border: unset;
  color: #fff;
  border-radius: 5px;

  &:disabled {
    opacity: 0.5;
  }
}

.loader,
.loader::before,
.loader::after {
  background: darkorange;
  animation: loading 1s infinite ease-in-out;
  width: 1em;
  height: 4em;
}

.loader {
  color: darkorange;
  text-indent: -9999em;
  margin: 60px auto;
  position: relative;
  font-size: 11px;
  transform: translateZ(0);
  animation-delay: -0.16s;

  &::after,
  &::before {
    position: absolute;
    top: 0;
    content: "";
  }

  &::after {
    left: 1.5em;
  }

  &::before {
    left: -1.5em;
    animation-delay: -0.32s;
  }
}

@keyframes loading {

  0%,
  80%,
  100% {
    box-shadow: 0 0;
    height: 4em;
  }

  40% {
    box-shadow: 0 -2em;
    height: 5em;
  }
}

/* announcement */
.notice__homepage {
  display: flex;
  align-items: center;
  width: 100%;
  height: 40px;
  padding: 0 10px 0 18px;
  margin-top: 31px;
  border-radius: 20px;
  background-image: linear-gradient(180deg, #fff 14%, #ecefff 74%, #fefeff 98%);
  box-shadow: 0 6px 12px 0 rgba(216, 226, 255, 0.9);
}

.marquee__icon {
  width: 61px;
  left: 0;
  height: 100%;
  position: relative;
  z-index: 1;
  display: flex;
  align-items: center;
}

.marquee__image__container {
  width: 53px;
  height: 63px;
  cursor: inherit;
  background-size: contain;
}

.marquee__container:hover div {
  -webkit-animation-play-state: var(--pause-on-hover);
  animation-play-state: var(--pause-on-hover);
}

.marquee__container img {
  position: absolute;
  inset: 0px;
  box-sizing: border-box;
  padding: 0px;
  border: medium none;
  margin: auto;
  margin-top: auto;
  display: block;
  width: 0px;
  height: 0px;
  min-width: 100%;
  max-width: 100%;
  min-height: 100%;
  max-height: 100%;
  -o-object-fit: contain;
  object-fit: contain;
  margin-top: 5px;
}

/* carousel */
#home-carousel {
  .el-carousel__indicators {
    display: flex;
    bottom: 1.25rem;
    z-index: 28;
  }

  .el-carousel__indicators>* {
    --tw-space-x-reverse: 0;
    margin-left: calc(1.75rem * calc(1 - var(--tw-space-x-reverse)));
    margin-right: calc(1.75rem * var(--tw-space-x-reverse));
  }

  .el-carousel__indicator--horizontal {
    padding: 0;
  }

  .el-carousel__indicator {
    width: 19px;
    height: 19px;
    background-color: unset;
    background-size: contain;
  }

  .el-carousel__indicator>* {
    display: none;
  }

  .el-carousel__indicator.is-active {
    width: 20px;
    height: 20px;
  }

  @keyframes fadeIn {
    0% {
      opacity: 0;
      transform: perspective(1250px) translateZ(-10rem);
    }

    to {
      opacity: 1;
      transform: perspective(1250px) translateZ(0);
    }
  }

  .el-carousel__item {
    display: none;
  }

  .el-carousel__item.is-animating.is-active {
    display: block;
    animation: fadeIn 0.5s ease-in-out;
  }
}

/* game banner */

.game_tab {
  width: 58px;
  height: 58px;
  background: linear-gradient(180deg,
      rgba(254, 254, 255, 1) 0%,
      rgba(249, 250, 254, 1) 30%,
      rgba(238, 241, 253, 1) 70%,
      rgba(233, 237, 252, 1) 100%);
  transition: 0.3s ease-in-out;
  border-radius: 13px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-bottom: 4px solid #fff;
}

.game_tab:hover {
  background: linear-gradient(180deg,
      rgba(98, 179, 255, 1) 0%,
      rgba(92, 169, 255, 1) 30%,
      rgba(72, 132, 247, 1) 70%,
      rgba(72, 132, 247, 1) 100%);
  animation-name: hoveringAnimation;
  animation-duration: 0.5s;
  border-bottom: unset;
  border-color: #fff;
}

.slide-fade-leave-active {
  transition: translate 0.4s ease-in-out, opacity 0.4s ease-in-out;
}

.slide-fade-leave-to {
  translate: -40px;
  opacity: 0;
}

.swiper {
  --swiper-navigation-size: 11px;
}

div[layout="light_flexible_desktop_1"] .swiper-button-prev,
div[layout="light_flexible_desktop_1"] .swiper-button-next {
  width: 30px;
  height: 30px;
}

div[layout="light_flexible_desktop_1"] .swiper-button-prev {
  translate: -21px -11px;
}

div[layout="light_flexible_desktop_1"] .swiper-button-next {
  translate: 21px -11px;
}

div[layout="light_flexible_desktop_1"] .back-top {
  font-size: 18px;
  color: white;
  border-radius: 5px;
  background-size: contain;
  width: 50px;
  height: 50px;
  position: fixed;
  right: 10px;
  bottom: 80px;
  z-index: 20;
}

div[layout="light_flexible_desktop_1"] .back-top>i {
  display: none;
}

.pyramid_animation {
  -webkit-animation: top 5s ease-in-out infinite;
  animation: top 5s ease-in-out infinite;
}

.dice_animation,
.coin2_animation {
  -webkit-animation: up-right ease-in-out 5s infinite;
  animation: up-right ease-in-out 5s infinite;
}

.coin1_animation {
  -webkit-animation: down-left ease-in-out 5s infinite;
  animation: down-left ease-in-out 5s infinite;
}

.sport_tab {
  width: 76px;
  height: 76px;
  background: linear-gradient(180deg,
      #fefeff,
      #f9fafe 30%,
      #eef1fd 70%,
      #e9edfc);
  box-shadow: 0 5px 10px 0 rgba(112, 146, 215, 0.14);
  transition: 0.3s ease-in-out;
  border-radius: 13px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-bottom: 4px solid #fff;
}

.sport_tab_active {
  width: 76px;
  height: 76px;
  background: linear-gradient(180deg,
      rgba(98, 179, 255, 1) 0%,
      rgba(92, 169, 255, 1) 30%,
      rgba(72, 132, 247, 1) 70%,
      rgba(72, 132, 247, 1) 100%);
  box-shadow: 0 5px 10px 0 rgba(112, 146, 215, 0.14);
  transition: 0.3s ease-in-out;
  border-radius: 13px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-bottom: 4px solid #fff;
}

.sport_tab:hover {
  background: linear-gradient(180deg,
      rgba(98, 179, 255, 1) 0%,
      rgba(92, 169, 255, 1) 30%,
      rgba(72, 132, 247, 1) 70%,
      rgba(72, 132, 247, 1) 100%);
  box-shadow: 0 7px 13px 0 #b6bfdb !important;
  -webkit-animation-name: hoveringAnimation;
  animation-name: hoveringAnimation;
  -webkit-animation-duration: 0.5s;
  animation-duration: 0.5s;
}

.sport_tab:hover .img-active {
  display: block;
}

.sport_tab:hover .img-inactive {
  display: none;
}

@-webkit-keyframes top {
  from {
    transform: translateY(0);
  }

  50% {
    transform: translateY(-10px);
  }

  to {
    transform: translateY(0);
  }
}

@keyframes top {
  from {
    transform: translateY(0);
  }

  50% {
    transform: translateY(-10px);
  }

  to {
    transform: translateY(0);
  }
}

@-webkit-keyframes down-left {
  from {
    transform: translateZ(0);
  }

  50% {
    transform: translate3D(-10px, 10px, 0);
  }

  to {
    transform: translateZ(0);
  }
}

@keyframes down-left {
  from {
    transform: translateZ(0);
  }

  50% {
    transform: translate3D(-10px, 10px, 0);
  }

  to {
    transform: translateZ(0);
  }
}

@-webkit-keyframes up-right {
  from {
    transform: translateZ(0);
  }

  50% {
    transform: translate3D(10px, -10px, 0);
  }

  to {
    transform: translateZ(0);
  }
}

@keyframes up-right {
  from {
    transform: translateZ(0);
  }

  50% {
    transform: translate3D(10px, -10px, 0);
  }

  to {
    transform: translateZ(0);
  }
}

@-webkit-keyframes hoveringAnimation {
  0% {
    transform: scale(1);
  }

  5% {
    transform: scale(1.1);
  }

  100% {
    transform: scale(1);
  }
}

@keyframes hoveringAnimation {
  0% {
    transform: scale(1);
  }

  5% {
    transform: scale(1.1);
  }

  100% {
    transform: scale(1);
  }
}

div[layout="light_flexible_desktop_1"] {
  .el-button {
    &.el-button--primary {
      background: var(--primary-button);
    }
  }

  .el-overlay-dialog {
    display: flex;
    height: 100%;
  }

  .el-dialog {
    margin: auto;
    --el-dialog-bg-color: var(--background2);

    &>.el-dialog__header {
      margin-right: 0;
      padding: 0;
    }

    &>.el-dialog__body {
      padding: 0;
    }
  }

  .base-bg {
    background: var(--primary-button);
  }
}